gloss-1.13.2.2: Painless 2D vector graphics, animations and simulations.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Gloss.Data.Controller

Synopsis

- data Controller = Controller {
  - controllerSetRedraw :: IO ()
  - controllerModifyViewPort :: (ViewPort -> IO ViewPort) -> IO ()
  }

# Documentation

data Controller Source #

Functions to asynchronously control a `Gloss` display.

Constructors

Controller |

Fields

- controllerSetRedraw :: IO ()

  Indicate that we want the picture to be redrawn.

- controllerModifyViewPort :: (ViewPort -> IO ViewPort) -> IO ()

  Modify the current viewport, also indicating that it should be redrawn.